<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Name: Organizer traffic accident details
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200">
   <title>Organizer traffic accident details</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]
Item: (OrganizerTrafficAccidentDetails)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]
Item: (OrganizerTrafficAccidentDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]"
         id="tmp-r-ba71ebf7-6759-497a-909b-3b8fc6f03342">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@classCode)='CLUSTER'">(OrganizerTrafficAccidentDetails): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(OrganizerTrafficAccidentDetails): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@moodCode)='EVN'">(OrganizerTrafficAccidentDetails): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(OrganizerTrafficAccidentDetails): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']/@nullFlavor)">(OrganizerTrafficAccidentDetails): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26'])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(OrganizerTrafficAccidentDetails): element hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(OrganizerTrafficAccidentDetails): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]])&gt;=1 ">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]])&gt;=1 ">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]])&gt;=1 ">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]])&gt;=1 ">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:templateId
Item: (OrganizerTrafficAccidentDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:templateId"
         id="tmp-r-0544a4fb-1224-42e6-b013-edc8b19cf7a0">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerTrafficAccidentDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.26'">(OrganizerTrafficAccidentDetails): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.26' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (OrganizerTrafficAccidentDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-9caa6a60-d80b-442f-9c0c-a03ab6e4990b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerTrafficAccidentDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="@nullFlavor or (@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Additional comments [RFC]')">(OrganizerTrafficAccidentDetails): de elementwaarde MOET zijn code '46696-1' codeSystem '2.16.840.1.113883.6.1' displayName='Additional comments [RFC]'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:statusCode[@code='completed']
Item: (OrganizerTrafficAccidentDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:statusCode[@code='completed']"
         id="tmp-r-7933f66d-19b3-489a-aed0-6d2c84b662a2">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerTrafficAccidentDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="@nullFlavor or (@code='completed')">(OrganizerTrafficAccidentDetails): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]]
Item: (OrganizerTrafficAccidentDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]]"
         id="tmp-r-fcfee35e-fd55-4b6e-8194-2413457a74b4">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerTrafficAccidentDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(OrganizerTrafficAccidentDetails): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]]
Item: (OrganizerTrafficAccidentDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]]"
         id="tmp-r-d6a07b6e-afc0-4e00-842a-dac45370f569">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerTrafficAccidentDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(OrganizerTrafficAccidentDetails): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]]
Item: (OrganizerTrafficAccidentDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]]"
         id="tmp-r-85f90e1e-5231-428d-ab63-1d3107ee7c20">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerTrafficAccidentDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(OrganizerTrafficAccidentDetails): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]]
Item: (OrganizerTrafficAccidentDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]]"
         id="tmp-r-acb3f48b-b60c-45c5-843e-b84e6144be62">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerTrafficAccidentDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(OrganizerTrafficAccidentDetails): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
