<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.31
Name: Organizer life terminating actions details
Description: Organizer for all life terminating actions related information
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818">
   <title>Organizer life terminating actions details</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.31
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]
Item: (OrganizerLifeTerminatingActionDetails)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.31
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]
Item: (OrganizerLifeTerminatingActionDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]"
         id="tmp-r-4320d559-e045-4b15-bee2-dc7f6321e3cf">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="string(@classCode)='CLUSTER'">(OrganizerLifeTerminatingActionDetails): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(OrganizerLifeTerminatingActionDetails): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(OrganizerLifeTerminatingActionDetails): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']/@nullFlavor)">(OrganizerLifeTerminatingActionDetails): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31'])&lt;=1">(OrganizerLifeTerminatingActionDetails): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:code)&lt;=1">(OrganizerLifeTerminatingActionDetails): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(OrganizerLifeTerminatingActionDetails): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(OrganizerLifeTerminatingActionDetails): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.32']]])&gt;=1 ">(OrganizerLifeTerminatingActionDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.32']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.32']]])&lt;=1">(OrganizerLifeTerminatingActionDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.32']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]])&gt;=1 ">(OrganizerLifeTerminatingActionDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]])&lt;=1">(OrganizerLifeTerminatingActionDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.31
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:templateId
Item: (OrganizerLifeTerminatingActionDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:templateId"
         id="tmp-r-0cc2f9e0-576e-454a-9f10-d92bc6ed9d4a">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerLifeTerminatingActionDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.31'">(OrganizerLifeTerminatingActionDetails): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.31' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.31
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:code
Item: (OrganizerLifeTerminatingActionDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:code"
         id="tmp-r-3a87cf1f-e8bb-4179-a8e7-3f4c2b4b94cc">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerLifeTerminatingActionDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="@nullFlavor or (@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Additional comments [RFC]')">(OrganizerLifeTerminatingActionDetails): de elementwaarde MOET zijn code '46696-1' codeSystem '2.16.840.1.113883.6.1' displayName='Additional comments [RFC]'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.31
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:statusCode[@code='completed']
Item: (OrganizerLifeTerminatingActionDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:statusCode[@code='completed']"
         id="tmp-r-c26b6360-3c29-403f-8df3-833ecdd53f59">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerLifeTerminatingActionDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="@nullFlavor or (@code='completed')">(OrganizerLifeTerminatingActionDetails): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.31
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.32']]]
Item: (OrganizerLifeTerminatingActionDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.32']]]"
         id="tmp-r-77af5b18-c100-4756-a1ac-0252fb2be1d6">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerLifeTerminatingActionDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(OrganizerLifeTerminatingActionDetails): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.31
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]]
Item: (OrganizerLifeTerminatingActionDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]]"
         id="tmp-r-69d3e384-ed02-4366-ae03-506fe9c217dc">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerLifeTerminatingActionDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.31-2014-03-04T101818.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(OrganizerLifeTerminatingActionDetails): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
