<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.42
Name: Additional data
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937">
   <title>Additional data</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.42
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]
Item: (AdditionalData)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.42
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]
Item: (AdditionalData)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]"
         id="tmp-r-949a20ec-a997-48cd-be4e-c6888a3203b3">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@classCode)='CLUSTER'">(AdditionalData): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AdditionalData): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(AdditionalData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']/@nullFlavor)">(AdditionalData): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42'])&lt;=1">(AdditionalData): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(AdditionalData): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(AdditionalData): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]])&gt;=1 ">(AdditionalData): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]])&lt;=1">(AdditionalData): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]])&gt;=1 ">(AdditionalData): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]])&lt;=1">(AdditionalData): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]])&gt;=1 ">(AdditionalData): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]])&lt;=1">(AdditionalData): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.42
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:templateId
Item: (AdditionalData)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:templateId"
         id="tmp-r-846be01e-9550-4d22-a907-2c849a023984">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdditionalData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.42'">(AdditionalData): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.42' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.42
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:statusCode[@code='completed']
Item: (AdditionalData)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:statusCode[@code='completed']"
         id="tmp-r-d339a74e-4984-41c1-8465-e3a3bb1d8625">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdditionalData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="@nullFlavor or (@code='completed')">(AdditionalData): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.42
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]]
Item: (AdditionalData)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]]"
         id="tmp-r-c3e74901-8c8e-41f1-a005-0ace90d6d8f9">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(AdditionalData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@contextConductionInd)='false'">(AdditionalData): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AdditionalData): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.42
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]]
Item: (AdditionalData)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]]"
         id="tmp-r-9f04ce0e-8631-4770-9666-9c84d0289495">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(AdditionalData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(AdditionalData): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AdditionalData): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.42
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]]
Item: (AdditionalData)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]]"
         id="tmp-r-bb09f9a5-e381-4559-9fb2-11d0fc258225">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(AdditionalData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(AdditionalData): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.42-2014-03-04T202937.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AdditionalData): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
