<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.44
Name: Birth weight
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658">
   <title>Birth weight</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.44
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]
Item: (BirthWeight)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.44
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]
Item: (BirthWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]"
         id="tmp-r-09c0b33f-1d62-481d-9cc5-726e04a674b8">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="string(@classCode)='OBS'">(BirthWeight): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(BirthWeight): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="string(@moodCode)='EVN'">(BirthWeight): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(BirthWeight): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']/@nullFlavor)">(BirthWeight): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44'])&lt;=1">(BirthWeight): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="count(hl7:code[(@code='364589006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='364589006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(BirthWeight): element hl7:code[(@code='364589006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="count(hl7:code[(@code='364589006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(BirthWeight): element hl7:code[(@code='364589006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="count(hl7:value)&gt;=1 ">(BirthWeight): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="count(hl7:value)&lt;=1">(BirthWeight): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.44
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:templateId
Item: (BirthWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:templateId"
         id="tmp-r-ae56537c-1df0-441a-a629-21b238920c59">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BirthWeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.44'">(BirthWeight): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.44' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.44
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:code[(@code='364589006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (BirthWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:code[(@code='364589006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-4561ae9b-0a59-43d6-848d-47591e6720ca">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BirthWeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="@nullFlavor or (@code='364589006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Birth weight')">(BirthWeight): de elementwaarde MOET zijn code '364589006' codeSystem '2.16.840.1.113883.6.96' displayName='Birth weight'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.44
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:value
Item: (BirthWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.44']]/hl7:value"
         id="tmp-r-ff5cad5b-9cbf-4920-acb1-91350836891b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BirthWeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&gt;=0))">(BirthWeight): value MOET eenheid 'g' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="$digitok or @nullFlavor">(BirthWeight): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140305T005211/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.44-2014-03-04T203658.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BirthWeight): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
